CL2C Swagger reference
Choose an endpoint, enter its required values, and inspect or send a real API request.
OpenAPI 3.0.3 · Swagger format
View or download the OpenAPI specification
21 endpoints
Complete endpoint URL
get
https://developer.taliware.com/api/v1/cl2c/contractList smart contracts for the authenticated organization
Retrieve smart contract records belonging to the organization identified by the X-API-KEY header.
x-api-key<token>
In: header
Query Parameters
page?integer
limit?integer
search?string
status?string
Value in
"CREATED" | "DEPLOYED" | "FAILED"sortBy?string
sortOrder?string
Value in
"asc" | "desc"Response Body
curl -X GET "https://developer.taliware.com/api/v1/cl2c/contract?page=0&limit=0&search=string&status=CREATED&sortBy=string&sortOrder=asc"{
"data": [
{
"id": "string",
"name": "string",
"symbol": "string",
"description": "string",
"network": "string",
"env": "string",
"status": "CREATED",
"contractAddress": "string",
"deployedAt": "2019-08-24T14:15:22Z",
"metadata": {},
"totalNFTs": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"page": 0,
"limit": 0,
"total": 0,
"totalPages": 0,
"hasNext": true,
"hasPrev": true
},
"filters": {}
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}